import{s as Ae,n as Ve,o as We}from"../chunks/scheduler.8c3d61f6.js";import{S as Ue,i as Re,g as a,s as o,r as p,A as Ge,h as d,f as t,c as i,j as D,u as h,x as u,k as S,y as n,a as c,v as m,d as f,t as g,w as _}from"../chunks/index.589a98e8.js";import{D as Z}from"../chunks/Docstring.c1070b88.js";import{H as we,E as Je}from"../chunks/EditOnGithub.e5a8d9cb.js";function Ze(Me){let b,Q,B,X,$,Y,w,Le='<a href="https://huggingface.co/papers/2402.19159" rel="nofollow">Trajectory Consistency Distillation</a> by Jianbin Zheng, Minghui Hu, Zhongyi Fan, Chaoyue Wang, Changxing Ding, Dacheng Tao and Tat-Jen Cham introduced a Strategic Stochastic Sampling (Algorithm 4) that is capable of generating good samples in a small number of steps. Distinguishing it as an advanced iteration of the multistep scheduler (Algorithm 1) in the <a href="https://huggingface.co/papers/2303.01469" rel="nofollow">Consistency Models</a>, Strategic Stochastic Sampling specifically tailored for the trajectory consistency function.',ee,M,Oe="The abstract from the paper is:",te,L,Pe="<em>Latent Consistency Model (LCM) extends the Consistency Model to the latent space and leverages the guided consistency distillation technique to achieve impressive performance in accelerating text-to-image synthesis. However, we observed that LCM struggles to generate images with both clarity and detailed intricacy. To address this limitation, we initially delve into and elucidate the underlying causes. Our investigation identifies that the primary issue stems from errors in three distinct areas. Consequently, we introduce Trajectory Consistency Distillation (TCD), which encompasses trajectory consistency function and strategic stochastic sampling. The trajectory consistency function diminishes the distillation errors by broadening the scope of the self-consistency boundary condition and endowing the TCD with the ability to accurately trace the entire trajectory of the Probability Flow ODE. Additionally, strategic stochastic sampling is specifically designed to circumvent the accumulated errors inherent in multi-step consistency sampling, which is meticulously tailored to complement the TCD model. Experiments demonstrate that TCD not only significantly enhances image quality at low NFEs but also yields more detailed results compared to the teacher model at high NFEs.</em>",se,O,Ee='The original codebase can be found at <a href="https://github.com/jabir-zheng/TCD" rel="nofollow">jabir-zheng/TCD</a>.',ne,P,oe,r,E,fe,F,He="<code>TCDScheduler</code> incorporates the <code>Strategic Stochastic Sampling</code> introduced by the paper <code>Trajectory Consistency Distillation</code>, extending the original Multistep Consistency Sampling to enable unrestricted trajectory traversal.",ge,A,Ne='This code is based on the official repo of TCD(<a href="https://github.com/jabir-zheng/TCD" rel="nofollow">https://github.com/jabir-zheng/TCD</a>).',_e,V,ze=`This model inherits from <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. <a href="/docs/diffusers/main/en/api/configuration#diffusers.ConfigMixin">~ConfigMixin</a> takes care of storing all config
attributes that are passed in the scheduler’s <code>__init__</code> function, such as <code>num_train_timesteps</code>. They can be
accessed via <code>scheduler.config.num_train_timesteps</code>. <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> provides general loading and saving
functionality via the <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin.save_pretrained">SchedulerMixin.save_pretrained()</a> and <a href="/docs/diffusers/main/en/api/schedulers/overview#diffusers.SchedulerMixin.from_pretrained">from_pretrained()</a> functions.`,be,T,H,ve,W,je=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,Te,x,N,xe,U,qe="Sets the begin index for the scheduler. This function should be run from pipeline before the inference.",Ce,C,z,ye,R,Ie="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",De,y,j,Se,G,ke=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the diffusion
process from the learned model outputs (most often the predicted noise).`,ie,q,re,v,I,$e,J,Fe="Output class for the scheduler’s <code>step</code> function output.",ae,k,de,K,ce;return $=new we({props:{title:"TCDScheduler",local:"tcdscheduler",headingTag:"h1"}}),P=new we({props:{title:"TCDScheduler",local:"diffusers.TCDScheduler",headingTag:"h2"}}),E=new Z({props:{name:"class diffusers.TCDScheduler",anchor:"diffusers.TCDScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.00085"},{name:"beta_end",val:": float = 0.012"},{name:"beta_schedule",val:": str = 'scaled_linear'"},{name:"trained_betas",val:": Union = None"},{name:"original_inference_steps",val:": int = 50"},{name:"clip_sample",val:": bool = False"},{name:"clip_sample_range",val:": float = 1.0"},{name:"set_alpha_to_one",val:": bool = True"},{name:"steps_offset",val:": int = 0"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"thresholding",val:": bool = False"},{name:"dynamic_thresholding_ratio",val:": float = 0.995"},{name:"sample_max_value",val:": float = 1.0"},{name:"timestep_spacing",val:": str = 'leading'"},{name:"timestep_scaling",val:": float = 10.0"},{name:"rescale_betas_zero_snr",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.TCDScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.TCDScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.TCDScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.TCDScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.TCDScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.TCDScheduler.original_inference_steps",description:`<strong>original_inference_steps</strong> (<code>int</code>, <em>optional</em>, defaults to 50) &#x2014;
The default number of inference steps used to generate a linearly-spaced timestep schedule, from which we
will ultimately take <code>num_inference_steps</code> evenly spaced timesteps to form the final timestep schedule.`,name:"original_inference_steps"},{anchor:"diffusers.TCDScheduler.clip_sample",description:`<strong>clip_sample</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Clip the predicted sample for numerical stability.`,name:"clip_sample"},{anchor:"diffusers.TCDScheduler.clip_sample_range",description:`<strong>clip_sample_range</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The maximum magnitude for sample clipping. Valid only when <code>clip_sample=True</code>.`,name:"clip_sample_range"},{anchor:"diffusers.TCDScheduler.set_alpha_to_one",description:`<strong>set_alpha_to_one</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Each diffusion step uses the alphas product value at that step and at the previous one. For the final step
there is no previous alpha. When this option is <code>True</code> the previous alpha product is fixed to <code>1</code>,
otherwise it uses the alpha value at step 0.`,name:"set_alpha_to_one"},{anchor:"diffusers.TCDScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps, as required by some model families.`,name:"steps_offset"},{anchor:"diffusers.TCDScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.TCDScheduler.thresholding",description:`<strong>thresholding</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the &#x201C;dynamic thresholding&#x201D; method. This is unsuitable for latent-space diffusion models such
as Stable Diffusion.`,name:"thresholding"},{anchor:"diffusers.TCDScheduler.dynamic_thresholding_ratio",description:`<strong>dynamic_thresholding_ratio</strong> (<code>float</code>, defaults to 0.995) &#x2014;
The ratio for the dynamic thresholding method. Valid only when <code>thresholding=True</code>.`,name:"dynamic_thresholding_ratio"},{anchor:"diffusers.TCDScheduler.sample_max_value",description:`<strong>sample_max_value</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The threshold value for dynamic thresholding. Valid only when <code>thresholding=True</code>.`,name:"sample_max_value"},{anchor:"diffusers.TCDScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;leading&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.TCDScheduler.timestep_scaling",description:`<strong>timestep_scaling</strong> (<code>float</code>, defaults to 10.0) &#x2014;
The factor the timesteps will be multiplied by when calculating the consistency model boundary conditions
<code>c_skip</code> and <code>c_out</code>. Increasing this will decrease the approximation error (although the approximation
error at the default of <code>10.0</code> is already pretty small).`,name:"timestep_scaling"},{anchor:"diffusers.TCDScheduler.rescale_betas_zero_snr",description:`<strong>rescale_betas_zero_snr</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to rescale the betas to have zero terminal SNR. This enables the model to generate very bright and
dark samples instead of limiting it to samples with medium brightness. Loosely related to
<a href="https://github.com/huggingface/diffusers/blob/74fd735eb073eb1d774b1ab4154a0876eb82f055/examples/dreambooth/train_dreambooth.py#L506" rel="nofollow"><code>--offset_noise</code></a>.`,name:"rescale_betas_zero_snr"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_tcd.py#L133"}}),H=new Z({props:{name:"scale_model_input",anchor:"diffusers.TCDScheduler.scale_model_input",parameters:[{name:"sample",val:": Tensor"},{name:"timestep",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.TCDScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
The input sample.`,name:"sample"},{anchor:"diffusers.TCDScheduler.scale_model_input.timestep",description:`<strong>timestep</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The current timestep in the diffusion chain.`,name:"timestep"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_tcd.py#L300",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A scaled input sample.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),N=new Z({props:{name:"set_begin_index",anchor:"diffusers.TCDScheduler.set_begin_index",parameters:[{name:"begin_index",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.TCDScheduler.set_begin_index.begin_index",description:`<strong>begin_index</strong> (<code>int</code>) &#x2014;
The begin index for the scheduler.`,name:"begin_index"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_tcd.py#L290"}}),z=new Z({props:{name:"set_timesteps",anchor:"diffusers.TCDScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": Optional = None"},{name:"device",val:": Union = None"},{name:"original_inference_steps",val:": Optional = None"},{name:"timesteps",val:": Optional = None"},{name:"strength",val:": float = 1.0"}],parametersDescription:[{anchor:"diffusers.TCDScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model. If used,
<code>timesteps</code> must be <code>None</code>.`,name:"num_inference_steps"},{anchor:"diffusers.TCDScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"},{anchor:"diffusers.TCDScheduler.set_timesteps.original_inference_steps",description:`<strong>original_inference_steps</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The original number of inference steps, which will be used to generate a linearly-spaced timestep
schedule (which is different from the standard <code>diffusers</code> implementation). We will then take
<code>num_inference_steps</code> timesteps from this schedule, evenly spaced in terms of indices, and use that as
our final timestep schedule. If not set, this will default to the <code>original_inference_steps</code> attribute.`,name:"original_inference_steps"},{anchor:"diffusers.TCDScheduler.set_timesteps.timesteps",description:`<strong>timesteps</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Custom timesteps used to support arbitrary spacing between timesteps. If <code>None</code>, then the default
timestep spacing strategy of equal spacing between timesteps on the training/distillation timestep
schedule is used. If <code>timesteps</code> is passed, <code>num_inference_steps</code> must be <code>None</code>.`,name:"timesteps"},{anchor:"diffusers.TCDScheduler.set_timesteps.strength",description:`<strong>strength</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014;
Used to determine the number of timesteps used for inference when using img2img, inpaint, etc.`,name:"strength"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_tcd.py#L362"}}),j=new Z({props:{name:"step",anchor:"diffusers.TCDScheduler.step",parameters:[{name:"model_output",val:": Tensor"},{name:"timestep",val:": int"},{name:"sample",val:": Tensor"},{name:"eta",val:": float = 0.3"},{name:"generator",val:": Optional = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.TCDScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.Tensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.TCDScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.TCDScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.TCDScheduler.step.eta",description:`<strong>eta</strong> (<code>float</code>) &#x2014;
A stochastic parameter (referred to as <code>gamma</code> in the paper) used to control the stochasticity in every
step. When eta = 0, it represents deterministic sampling, whereas eta = 1 indicates full stochastic
sampling.`,name:"eta"},{anchor:"diffusers.TCDScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.TCDScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/main/en/api/schedulers/tcd#diffusers.schedulers.scheduling_tcd.TCDSchedulerOutput">TCDSchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_tcd.py#L525",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/main/en/api/schedulers/tcd#diffusers.schedulers.scheduling_tcd.TCDSchedulerOutput"
>TCDSchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>~schedulers.scheduling_utils.TCDSchedulerOutput</code> or <code>tuple</code></p>
`}}),q=new we({props:{title:"TCDSchedulerOutput",local:"diffusers.schedulers.scheduling_tcd.TCDSchedulerOutput",headingTag:"h2"}}),I=new Z({props:{name:"class diffusers.schedulers.scheduling_tcd.TCDSchedulerOutput",anchor:"diffusers.schedulers.scheduling_tcd.TCDSchedulerOutput",parameters:[{name:"prev_sample",val:": Tensor"},{name:"pred_noised_sample",val:": Optional = None"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_tcd.TCDSchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"},{anchor:"diffusers.schedulers.scheduling_tcd.TCDSchedulerOutput.pred_noised_sample",description:`<strong>pred_noised_sample</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
The predicted noised sample <code>(x_{s})</code> based on the model output from the current timestep.`,name:"pred_noised_sample"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/schedulers/scheduling_tcd.py#L34"}}),k=new Je({props:{source:"https://github.com/huggingface/diffusers/blob/main/docs/source/en/api/schedulers/tcd.md"}}),{c(){b=a("meta"),Q=o(),B=a("p"),X=o(),p($.$$.fragment),Y=o(),w=a("p"),w.innerHTML=Le,ee=o(),M=a("p"),M.textContent=Oe,te=o(),L=a("p"),L.innerHTML=Pe,se=o(),O=a("p"),O.innerHTML=Ee,ne=o(),p(P.$$.fragment),oe=o(),r=a("div"),p(E.$$.fragment),fe=o(),F=a("p"),F.innerHTML=He,ge=o(),A=a("p"),A.innerHTML=Ne,_e=o(),V=a("p"),V.innerHTML=ze,be=o(),T=a("div"),p(H.$$.fragment),ve=o(),W=a("p"),W.textContent=je,Te=o(),x=a("div"),p(N.$$.fragment),xe=o(),U=a("p"),U.textContent=qe,Ce=o(),C=a("div"),p(z.$$.fragment),ye=o(),R=a("p"),R.textContent=Ie,De=o(),y=a("div"),p(j.$$.fragment),Se=o(),G=a("p"),G.textContent=ke,ie=o(),p(q.$$.fragment),re=o(),v=a("div"),p(I.$$.fragment),$e=o(),J=a("p"),J.innerHTML=Fe,ae=o(),p(k.$$.fragment),de=o(),K=a("p"),this.h()},l(e){const s=Ge("svelte-u9bgzb",document.head);b=d(s,"META",{name:!0,content:!0}),s.forEach(t),Q=i(e),B=d(e,"P",{}),D(B).forEach(t),X=i(e),h($.$$.fragment,e),Y=i(e),w=d(e,"P",{"data-svelte-h":!0}),u(w)!=="svelte-3svyx2"&&(w.innerHTML=Le),ee=i(e),M=d(e,"P",{"data-svelte-h":!0}),u(M)!=="svelte-1cwsb16"&&(M.textContent=Oe),te=i(e),L=d(e,"P",{"data-svelte-h":!0}),u(L)!=="svelte-26l4oe"&&(L.innerHTML=Pe),se=i(e),O=d(e,"P",{"data-svelte-h":!0}),u(O)!=="svelte-1pz11zl"&&(O.innerHTML=Ee),ne=i(e),h(P.$$.fragment,e),oe=i(e),r=d(e,"DIV",{class:!0});var l=D(r);h(E.$$.fragment,l),fe=i(l),F=d(l,"P",{"data-svelte-h":!0}),u(F)!=="svelte-joqxs4"&&(F.innerHTML=He),ge=i(l),A=d(l,"P",{"data-svelte-h":!0}),u(A)!=="svelte-dg51tf"&&(A.innerHTML=Ne),_e=i(l),V=d(l,"P",{"data-svelte-h":!0}),u(V)!=="svelte-1wfw14k"&&(V.innerHTML=ze),be=i(l),T=d(l,"DIV",{class:!0});var le=D(T);h(H.$$.fragment,le),ve=i(le),W=d(le,"P",{"data-svelte-h":!0}),u(W)!=="svelte-1rkfgpx"&&(W.textContent=je),le.forEach(t),Te=i(l),x=d(l,"DIV",{class:!0});var ue=D(x);h(N.$$.fragment,ue),xe=i(ue),U=d(ue,"P",{"data-svelte-h":!0}),u(U)!=="svelte-1k141rk"&&(U.textContent=qe),ue.forEach(t),Ce=i(l),C=d(l,"DIV",{class:!0});var pe=D(C);h(z.$$.fragment,pe),ye=i(pe),R=d(pe,"P",{"data-svelte-h":!0}),u(R)!=="svelte-1vzm9q"&&(R.textContent=Ie),pe.forEach(t),De=i(l),y=d(l,"DIV",{class:!0});var he=D(y);h(j.$$.fragment,he),Se=i(he),G=d(he,"P",{"data-svelte-h":!0}),u(G)!=="svelte-hi84tp"&&(G.textContent=ke),he.forEach(t),l.forEach(t),ie=i(e),h(q.$$.fragment,e),re=i(e),v=d(e,"DIV",{class:!0});var me=D(v);h(I.$$.fragment,me),$e=i(me),J=d(me,"P",{"data-svelte-h":!0}),u(J)!=="svelte-id9kic"&&(J.innerHTML=Fe),me.forEach(t),ae=i(e),h(k.$$.fragment,e),de=i(e),K=d(e,"P",{}),D(K).forEach(t),this.h()},h(){S(b,"name","hf:doc:metadata"),S(b,"content",Be),S(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),S(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),S(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),S(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),S(r,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),S(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){n(document.head,b),c(e,Q,s),c(e,B,s),c(e,X,s),m($,e,s),c(e,Y,s),c(e,w,s),c(e,ee,s),c(e,M,s),c(e,te,s),c(e,L,s),c(e,se,s),c(e,O,s),c(e,ne,s),m(P,e,s),c(e,oe,s),c(e,r,s),m(E,r,null),n(r,fe),n(r,F),n(r,ge),n(r,A),n(r,_e),n(r,V),n(r,be),n(r,T),m(H,T,null),n(T,ve),n(T,W),n(r,Te),n(r,x),m(N,x,null),n(x,xe),n(x,U),n(r,Ce),n(r,C),m(z,C,null),n(C,ye),n(C,R),n(r,De),n(r,y),m(j,y,null),n(y,Se),n(y,G),c(e,ie,s),m(q,e,s),c(e,re,s),c(e,v,s),m(I,v,null),n(v,$e),n(v,J),c(e,ae,s),m(k,e,s),c(e,de,s),c(e,K,s),ce=!0},p:Ve,i(e){ce||(f($.$$.fragment,e),f(P.$$.fragment,e),f(E.$$.fragment,e),f(H.$$.fragment,e),f(N.$$.fragment,e),f(z.$$.fragment,e),f(j.$$.fragment,e),f(q.$$.fragment,e),f(I.$$.fragment,e),f(k.$$.fragment,e),ce=!0)},o(e){g($.$$.fragment,e),g(P.$$.fragment,e),g(E.$$.fragment,e),g(H.$$.fragment,e),g(N.$$.fragment,e),g(z.$$.fragment,e),g(j.$$.fragment,e),g(q.$$.fragment,e),g(I.$$.fragment,e),g(k.$$.fragment,e),ce=!1},d(e){e&&(t(Q),t(B),t(X),t(Y),t(w),t(ee),t(M),t(te),t(L),t(se),t(O),t(ne),t(oe),t(r),t(ie),t(re),t(v),t(ae),t(de),t(K)),t(b),_($,e),_(P,e),_(E),_(H),_(N),_(z),_(j),_(q,e),_(I),_(k,e)}}}const Be='{"title":"TCDScheduler","local":"tcdscheduler","sections":[{"title":"TCDScheduler","local":"diffusers.TCDScheduler","sections":[],"depth":2},{"title":"TCDSchedulerOutput","local":"diffusers.schedulers.scheduling_tcd.TCDSchedulerOutput","sections":[],"depth":2}],"depth":1}';function Ke(Me){return We(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class tt extends Ue{constructor(b){super(),Re(this,b,Ke,Ze,Ae,{})}}export{tt as component};
